Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.huihoo.jfox.jmx.queries
Class InQueryExp

    java.lang.Object
      |
      +--javax.management.QueryEval
            |
            +--org.huihoo.jfox.jmx.queries.InQueryExp

All Implemented Interfaces:
  QueryExp, java.io.Serializable

public class InQueryExp
extends QueryEval
implements QueryExp

Author:
  Young Yang
See Also:
  Serialized Form

Fields inherited from class javax.management.QueryEval
`server`

Constructor Summary
`InQueryExp()`
`InQueryExp(ValueExp valueexp, ValueExp[] avalueexp)`

Method Summary
`boolean` | `apply(ObjectName objectname)` Applies the QueryExp on an MBean.
`ValueExp` | `getCheckedValue()`
`ValueExp[]` | `getExplicitValues()`
`java.lang.String` | `toString()`

Methods inherited from class javax.management.QueryEval
`setMBeanServer`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface javax.management.QueryExp
`setMBeanServer`

Constructor Detail

### InQueryExp

    public InQueryExp()

### InQueryExp

    public InQueryExp(ValueExp valueexp,
                      ValueExp[] avalueexp)

Method Detail

### getCheckedValue

    public ValueExp getCheckedValue()

### getExplicitValues

    public ValueExp[] getExplicitValues()

### apply

    public boolean apply(ObjectName objectname)
                  throws BadStringOperationException,
                         BadBinaryOpValueExpException,
                         BadAttributeValueExpException,
                         InvalidApplicationException

  Description copied from interface: `QueryExp`
  Applies the QueryExp on an MBean.
  Specified by:
    `apply` in interface `QueryExp`
  Following copied from interface: `javax.management.QueryExp`
  Parameters:
    `name` - The name of the MBean on which the QueryExp will be applied.
  Returns:
    True if the query was successfully applied to the MBean, false otherwise
  Throws:
    `BadStringOperationException` -
    `BadBinaryOpValueExpException` -
    `BadAttributeValueExpException` -
    `InvalidApplicationException` -

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD